Package org.gradle.nativeplatform

## Interface SharedLibraryBinary

- All Superinterfaces:
    `Binary`, `NativeBinary`, `NativeLibraryBinary`
  All Known Subinterfaces:
    `PrebuiltSharedLibraryBinary`

      @Incubating
      public interface SharedLibraryBinary
      extends NativeLibraryBinary

  A `NativeLibrary` that has been compiled and linked as a shared library.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getSharedLibraryFile()` | The shared library file.
    `java.io.File` | `getSharedLibraryLinkFile()` | The shared library link file.

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinary

      `getBuildType, getFlavor, getTargetPlatform`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeLibraryBinary

      `getHeaderDirs, getLinkFiles, getRuntimeFiles`

- - ### Method Detail

    - #### getSharedLibraryFile

          java.io.File getSharedLibraryFile()

      The shared library file.

    - #### getSharedLibraryLinkFile

          java.io.File getSharedLibraryLinkFile()

      The shared library link file.